summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Ben <bosth@alumni.sfu.ca>2010-05-13 00:28:03 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:28:03 +0200
commit6313a99db01825bebb99525565ac6fae5e3b12e4 (patch)
tree4d53efe5bf774aba4894582ce6694ef904f7f022 /graphics
parent3db1ea440a61bb6db6013c34a9aa360bce4d005a (diff)
downloadslackbuilds-6313a99db01825bebb99525565ac6fae5e3b12e4.tar.gz
slackbuilds-6313a99db01825bebb99525565ac6fae5e3b12e4.tar.xz
graphics/kphotoalbum: Updated for version 4.1.1
Diffstat (limited to 'graphics')
-rw-r--r--graphics/kphotoalbum/README3
-rw-r--r--graphics/kphotoalbum/doinst.sh8
-rw-r--r--graphics/kphotoalbum/kphotoalbum.SlackBuild48
-rw-r--r--graphics/kphotoalbum/kphotoalbum.info8
-rw-r--r--graphics/kphotoalbum/slack-desc6
5 files changed, 49 insertions, 24 deletions
diff --git a/graphics/kphotoalbum/README b/graphics/kphotoalbum/README
index c705ce92ad..584b16ee2e 100644
--- a/graphics/kphotoalbum/README
+++ b/graphics/kphotoalbum/README
@@ -2,5 +2,4 @@ KPhotoAlbum (previously known as KimDaBa) is an photograh viewer and
organizer. Users can search for images based on tags (also called
categories). KPhotoAlbum supports KIPI plugins for manipulating images.
-KPhotoAlbum uses libkexif, libkipi and kipi plugins, all of which are
-available at SlackBuilds.org.
+Requires: kipi-plugins available at SlackBuilds.org.
diff --git a/graphics/kphotoalbum/doinst.sh b/graphics/kphotoalbum/doinst.sh
index 854e20633d..5934a15ab1 100644
--- a/graphics/kphotoalbum/doinst.sh
+++ b/graphics/kphotoalbum/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
diff --git a/graphics/kphotoalbum/kphotoalbum.SlackBuild b/graphics/kphotoalbum/kphotoalbum.SlackBuild
index b7eb491fc2..2cdb44ad37 100644
--- a/graphics/kphotoalbum/kphotoalbum.SlackBuild
+++ b/graphics/kphotoalbum/kphotoalbum.SlackBuild
@@ -1,10 +1,10 @@
#!/bin/sh
# Slackware build script for kphotoalbum
-# By default the demo pictures and movie are not packaged. Change the DEMO variable to include them.
+# By default the demo pictures and movie are packaged.
PRGNAM=kphotoalbum
-VERSION=${VERSION:-3.1.1}
+VERSION=${VERSION:-4.1.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,14 +14,19 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DEMO=no
+# Default is to package the demo pictures and movie,
+# set DEMO to no to omit them.
+DEMO=yes
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -29,7 +34,7 @@ set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION_NEW
+rm -rf $PRGNAM-$VERSION
tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -39,25 +44,38 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure
+mkdir build && cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIB_INSTALL_DIR:PATH=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd -
-make
-make install-strip DESTDIR=$PKG
+if [ "$DEMO"="no" ]; then
+ rm -r /$PKG/usr/share/apps/$PRGNAM/demo
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING ChangeLog INSTALL TODO README \
+cp -a COPYING ChangeLog tips TODO README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-if [ "$DEMO"="no" ]; then
- rm -r /$PKG/usr/share/apps/$PRGNAM/demo
-fi
-
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/graphics/kphotoalbum/kphotoalbum.info b/graphics/kphotoalbum/kphotoalbum.info
index 8d3c925fa2..fbacfd8ce0 100644
--- a/graphics/kphotoalbum/kphotoalbum.info
+++ b/graphics/kphotoalbum/kphotoalbum.info
@@ -1,8 +1,10 @@
PRGNAM="kphotoalbum"
-VERSION="3.1.1"
+VERSION="4.1.1"
HOMEPAGE="http://kphotoalbum.org"
-DOWNLOAD="http://www.kphotoalbum.org/data/download/kphotoalbum-3.1.1.tar.bz2"
-MD5SUM="0ced1a53efa25b70dbb1ca19b1d0afc3"
+DOWNLOAD="http://www.kphotoalbum.org/data/download/kphotoalbum-4.1.1.tar.bz2"
+MD5SUM="c00a5f179e487ac89fccf8dfb3cd6ef0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Ben"
EMAIL="bosth@alumni.sfu.ca"
APPROVED="dsomero"
diff --git a/graphics/kphotoalbum/slack-desc b/graphics/kphotoalbum/slack-desc
index 5a50a8681a..0afcdfc8d7 100644
--- a/graphics/kphotoalbum/slack-desc
+++ b/graphics/kphotoalbum/slack-desc
@@ -5,12 +5,12 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |---------handy-ruler------------------------------------------------------|
kphotoalbum: kphotoalbum (a photo management application)
kphotoalbum:
kphotoalbum: Kphotoalbum (previously known as KimDaBa) is an image viewer and
-kphotoalbum: organizer.
-kphotoalbum:
+kphotoalbum: organizer for KDE 4. It makes use of kipi plugins and exiv2 if
+kphotoalbum: they are installed (both recommended).
kphotoalbum:
kphotoalbum:
kphotoalbum: